const flag = 'https://raw.githubusercontent.com/hjnilsson/country-flags/master/png250px/mx.png'
const svg = d3.select('svg').attr('width','400px').attr('height', '800px')
const defs = svg.append("defs")
const data = [{}]

drawFlags(data)

function drawFlags(data){
  console.log("drawFlags called with elements", data)
  let imgPattern = defs.selectAll("pattern")
  	.data(data)
  	.enter()
  	.append("pattern")
  		.attr("id", "id1")
    	.attr("width", 1)
    	.attr("height", 1)
    	.attr("patternUnits", "objectBoundingBox")
  	.append("image")
  		.attr("xlink:href", flag)
  		.attr("x", 0)
  		.attr("y", 0)
  		.attr("width", 40)
  		.attr("height", 40)
  let circles = svg.selectAll(".flag")
    .data(data)
  	.enter()
    .append("circle")
    .attr("class", "flag")
    .attr("r", 20)
    .attr("cx", 100)
    .attr("cy", 180)
    .style("fill", "url(#id1)")
}